Subject: Re: bug#67891: automake-1.16i doesn't build on Solaris 10 sparc

From: Karl Berry <[email-masked]>
Date: Thu, 21 Dec 2023 16:52:40 -0700

$output =~ s/^((#.*)?\n)*\K/.POSIX:\n\n/;

    Solaris 10 'perl --version' says it's Perl v5.8.4. v5.8.4 is dated
    2004 but \K was added in v5.10

I simply removed the \K, since its only purpose is to optimize use of $&
(matched text), but we aren't using $& with this regexp, so far as I can
discern.  (This line was added for bug#55025, so cc-ing that bug.)

This line with the \K didn't exist in 1.16 (it was added in October
2023), so there may well be something else lurking that makes
"automake --help" fail on Solaris. We'll see.

Now to look into the help2man call in the first place. --thanks, karl.

P.S. We could probably replace all uses of $& with other variables, and
save some small amount of time, as explained in "Performance issues" in
perlvar. I'm not going to go down that road.